package com.salpa.subject.domain.generator.plantuml;

import lombok.extern.slf4j.Slf4j;
import net.sourceforge.plantuml.FileFormat;
import net.sourceforge.plantuml.FileFormatOption;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class PlantUmlErSvgFileGenerator extends BasePlantUmlFileGenerator {

    @Override
    public boolean support(com.salpa.subject.domain.generator.DocumentFileType type) {
        return type == com.salpa.subject.domain.generator.DocumentFileType.PLANT_UML_ER_SVG;
    }

    @Override
    protected FileFormatOption fileFormatOption() {
        return new FileFormatOption(FileFormat.SVG);
    }
}
